// ======================================================================== //
//	IMSpawnProtocol.h
// ======================================================================== //
//                                                  [][]      [][]          //
//      imservices                                []    []  []    []        //
//                                                      [][][]              //
//      Copyright:                                    []      []            //
//              (c) 2002-2004 Justin Wood,          []  []  []  []          //
//              Alien Technology                    []  []  []  []          //
//              http://www.proteusx.com/            []          []          //
//                                                  [][][][][][][]          //
//                                                  []    []    []          //
//                                                      []  []              //
//                                                      []  []              //
// ==License Agreement===================================================== //
// This program is free software; you can redistribute it and/or modify it  //
// under the terms of the GNU General Public License as published by the    //
// Free Software Foundation; either version 2 of the License, or (at your   //
// option) any later version.                                               //
//                                                                          //
// This program is distributed in the hope that it will be useful, but      //
// WITHOUT ANY WARRANTY; without even the implied warranty of               //
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU        //
// General Public License for more details.                                 //
//                                                                          //
// You should have received a copy of the GNU General Public License along  //
// with this program; if not, write to the Free Software Foundation, Inc.,  //
// 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.                //
// ======================================================================== //

@protocol IMSpawnProtocol
- (oneway void)setEncoding:(int)encoding;
- (oneway void)sendAction:(NSDictionary *)dictionary;
- (oneway void)sendResponse:(NSDictionary *)dictionary;
- (oneway void)sendRequest:(NSDictionary *)dictionary;
- (oneway void)connect:(NSDictionary *)dictionary;
- (oneway void)updateProfile:(NSDictionary *)dictionary;
- (oneway void)setMyStatus:(NSDictionary *)dictionary;
- (oneway void)connect:(NSDictionary *)dictionary;
- (oneway void)disconnect;
- (oneway void)updateAccount:(NSDictionary *)dictionary;
- (oneway void)userAdded:(NSDictionary *)dictionary;
- (oneway void)updateGroup:(NSDictionary *)dictionary;
- (oneway void)userRemoved:(NSDictionary *)dictionary;
- (oneway void)userMoved:(NSDictionary *)dictionary;
- (oneway void)userUpdated:(NSDictionary *)dictionary;
- (oneway void)getUserInfo:(NSDictionary *)dictionary;
- (oneway void)getUserAwayMessage:(NSDictionary *)dictionary;
@end