// ======================================================================== //
//  NotificationAction.h
// ======================================================================== //
//                                                  [][]      [][]          //
//      imservices                                []    []  []    []        //
//                                                      [][][]              //
//      Copyright:                                    []      []            //
//              (c) 2002-2004 Justin Wood,          []  []  []  []          //
//              Alien Technology                    []  []  []  []          //
//              http://www.proteusx.com/            []          []          //
//                                                  [][][][][][][]          //
//                                                  []    []    []          //
//                                                      []  []              //
//                                                      []  []              //
// ==License Agreement===================================================== //
// This program is free software; you can redistribute it and/or modify it  //
// under the terms of the GNU General Public License as published by the    //
// Free Software Foundation; either version 2 of the License, or (at your   //
// option) any later version.                                               //
//                                                                          //
// This program is distributed in the hope that it will be useful, but      //
// WITHOUT ANY WARRANTY; without even the implied warranty of               //
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU        //
// General Public License for more details.                                 //
//                                                                          //
// You should have received a copy of the GNU General Public License along  //
// with this program; if not, write to the Free Software Foundation, Inc.,  //
// 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.                //
// ======================================================================== //

#import <Foundation/Foundation.h>

#import "Action.h"

@interface NotificationAction : Action {

}

- (void)setUserData:(NSValue *)pointer;
- (NSValue *)userData;

- (void)setText:(NSString *)text;
- (NSString *)text;

- (void)setTitle:(NSString *)text;
- (NSString *)title;

- (void)setCallback:(NSValue *)pointer;
- (NSValue *)callback;

- (void)setPrimary:(NSString *)text;
- (NSString *)primary;

- (void)setSecondary:(NSString *)text;
- (NSString *)secondary;
@end
